Skip to main content
`Ctrl`+`K`

# PetscPClose

Closes (ends) a program on MPI rank 0 run with `PetscPOpen()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscPClose(MPI_Comm comm, FILE *fd)

Collective, but only MPI rank 0 does anything

## Input Parameters

- comm - MPI communicator, only rank 0 performs the close

- fd - the file pointer where program input or output may be read or `NULL` if don’t care

## Note

Does not work under Microsoft Windows

## See Also

`PetscFOpen()`, `PetscFClose()`, `PetscPOpen()`

## Level

intermediate

## Location

src/sys/fileio/mpiuopen.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages